### Function

# Shumate get_user_agent

#### Declaration [src]

    const char*
    shumate_get_user_agent (
      void
    )

#### Description [src]

Gets the user agent libshumate will use for all requests.

This API is not thread-safe and should only be called from the main thread.

#### Return value

Type: `const char*`

The user agent.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.